package com.pqs9900.service.terminal;


import com.njcn.pojo.configuration.DicData;
import com.pqs9900.pojo.terminal.FlowStrategyVO;

import java.util.List;

/**
 * @Description 流量策略
 * @Author cdf
 * @Date 2020/8/10 14:58
 **/
public interface FlowStrategyService {


    /**
    * @Author chendaofei
    * @Description 获取所有装置功能
    * @Date 10:14 2020/8/11
    **/
    List<DicData> getTartgetTypeForDic();


    /**
     * @Author chendaofei
     * @Description  新增流量策略
     * @Date 15:35 2020/8/10
     **/
    String addStrategy(FlowStrategyVO flowStrategyVO) throws Exception;

    /**
     * @Author chendaofei
     * @Description  修改流量策略
     * @Date 15:35 2020/8/10
     **/
    String updateStrategy(FlowStrategyVO flowStrategyVO) throws Exception;


    String addFunTran(FlowStrategyVO flowStrategyVO);

    /**
     * @Author chendaofei
     * @Description  修改流量策略
     * @Date 15:35 2020/8/10
     **/
    Integer delStrategy(String fsIndex);

    /**
     * @Author chendaofei
     * @Description  获取流量策略列表
     * @Date 15:35 2020/8/10
     **/
    List<FlowStrategyVO> getStrategyList();

    /**
     * @Author chendaofei
     * @Description  获取流量策略
     * @Date 15:35 2020/8/10
     **/
    FlowStrategyVO getStrategy(String fsIndex);

    /**
     * @Author chendaofei
     * @Description
     * @Date 16:57 2020/8/20
     **/
    List<String> getFun(String fsdIndex);

}
